/// <reference types="node" />
export interface IInitInvokerOptions {
    fc: {
        accountId: string | number;
        accessKeyID: string;
        accessKeySecret: string;
        region: string;
        timeout?: number;
    };
    oss?: {
        accessKeyId: string;
        accessKeySecret: string;
        bucket: string;
        endpoint: string;
    };
    aws?: {
        accessKeyId: string;
        secretAccessKey: string;
        bucket: string;
        region?: string;
        endpoint?: string;
        s3ForcePathStyle?: boolean;
    };
    ossThreshold?: number;
    noOSS?: boolean;
}
export declare type initInvokerResult = (serviceName: string, functionName: string, body: any, headers?: any) => Promise<string | Buffer>;
export declare function initInvoker(options: IInitInvokerOptions): initInvokerResult;
